4.3
CVSSv2

CVE-2020-16135

Published: 29/07/2020 Updated: 10/08/2020
CVSS v2 Base Score: 4.3 | Impact Score: 2.9 | Exploitability Score: 8.6
Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Summary

libssh 0.9.4 has a NULL pointer dereference in tftpserver.c if ssh_buffer_new returns NULL.

Vulnerability Trend

Affected Products

Vendor Product Versions
LibsshLibssh0.9.4
DebianDebian Linux9.0

Vendor Advisories

Debian Bug report logs - #966560 libssh: CVE-2020-16135 Package: src:libssh; Maintainer for src:libssh is Laurent Bigonville <bigon@debianorg>; Reported by: Salvatore Bonaccorso <carnil@debianorg> Date: Thu, 30 Jul 2020 17:51:02 UTC Severity: important Tags: security, upstream Found in versions libssh/094-1, lib ...